# BuildRailWaypointWindow Struct Reference

Inheritance diagram for BuildRailWaypointWindow:

## Public Member Functions
| BuildRailWaypointWindow (const WindowDesc *desc, Window *parent)
virtual void | OnPaint ()
| The window must be repainted.
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.

## Detailed Description

Definition at line 1812 of file rail_gui.cpp.

## Member Function Documentation

virtual void BuildRailWaypointWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from Window.

Definition at line 1845 of file rail_gui.cpp.

References _cur_waypoint_type, StationSpec::callback_mask, CBID_STATION_AVAILABILITY, CBM_STATION_AVAIL, GB(), GetCustomStationSpec(), Scrollbar::GetPosition(), HasBit(), Window::hscroll, INVALID_TILE, Window::SetDirty(), and STAT_CLASS_WAYP.

virtual void BuildRailWaypointWindow::OnPaint | ( |  | ) | `[inline, virtual]`

The window must be repainted.

Note:
  This method should not change any state, it should only use drawing functions.

Reimplemented from Window.

Definition at line 1820 of file rail_gui.cpp.

References _cur_railtype, _cur_waypoint_type, StationSpec::callback_mask, CBID_STATION_AVAILABILITY, CBM_STATION_AVAIL, DrawWaypointSprite(), Window::DrawWidgets(), FILLRECT_CHECKER, GB(), Scrollbar::GetCapacity(), Scrollbar::GetCount(), GetCustomStationSpec(), Scrollbar::GetPosition(), GfxFillRect(), HasBit(), Window::hscroll, INVALID_TILE, Window::SetWidgetLoweredState(), STAT_CLASS_WAYP, and TILE_PIXELS.

The documentation for this struct was generated from the following file:

- src/rail_gui.cpp